Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
Class BeanFactory

author:
  Danno Ferrin

version:
  $Revision: 7953 $

since:
  Groovy 1.1

Field Summary
`Class` | `beanClass`
`boolean` | `leaf`

Constructor Summary
`BeanFactory(Class beanClass)`
`BeanFactory(Class beanClass, boolean leaf)`

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Constructor Detail

### BeanFactory

    public BeanFactory(Class beanClass)

### BeanFactory

    public BeanFactory(Class beanClass, boolean leaf)

Method Detail

### isLeaf

    public boolean isLeaf()

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)